package cz.cuni.dsrg.sofa.netbeans.tirbrowser;

import org.openide.nodes.Node;

/**
 * Created by IntelliJ IDEA.
 * User: PhD
 * Date: 6.4.2003
 * Time: 11:02:18
 * To change this template use Options | File Templates.
 */
public class TIRProfilesRefresh implements RefreshableNode, InstrumentalCookie
{
   TIRProfilesNode nd;
   SOFA.SOFAnode.Made.TIR.ManageProfiles tirObject;

    public TIRProfilesRefresh(TIRProfilesNode ndpar, SOFA.SOFAnode.Made.TIR.ManageProfiles topar)
    {
      nd= ndpar;
      tirObject= topar;
    }

      public void refresh()
    {
        try
        {

            TIRProfilesChildren ch = nd.getTIRProfilesChildren();
            Node[] n = ch.getNodes();
            for (int i=0;i<n.length;i++)
            {
                n[i].destroy();
            }
            ch.removeNotify();
            nd.createChildren();
        } catch ( java.io.IOException e)
        {
            MiscHelps.exception(e);
        }
    }

   public SOFA.SOFAnode.Made.TIR.ManageProfiles getTIRObject()
  {
       return tirObject;
  }

  public void setTIRProfile(SOFA.SOFAnode.Made.TIR.ManageProfiles p)
  {
      tirObject= p;
  }
}
