package cz.cuni.dsrg.sofa.netbeans.visualdesigner.designer;

import java.awt.*;

/**
 * The constants used by the component designer.
 *
 * @author Michael Cifka
 */
public class Constants
{
    public static final int GRID_SIZE = 10;
    public static final int EDGE_TOLERANCE = 3;

    public static final int FRAME_WIDTH = 411;
    public static final int FRAME_HEIGHT = 281;
    public static final int FRAME_INSETS = 18;

    public static final int INTERFACE_SIZE = 9;

    public static final int INSTANCE_WIDTH = 161;
    public static final int INSTANCE_HEIGHT = 51;
    public static final int INSTANCE_INSETS = 30;

    public static final Color[] FRAME_COLORS = new Color[]{
        new Color(192, 192, 192),
        new Color(224, 160, 160), new Color(160, 224, 160),
        new Color(160, 162, 224), new Color(223, 224, 160),
        new Color(160, 224, 223), new Color(223, 160, 224)};
    public static final Color[] INSTANCE_COLORS = new Color[]{
        new Color(204, 204, 204),
        new Color(230, 178, 178), new Color(178, 230, 178),
        new Color(178, 179, 230), new Color(229, 230, 178),
        new Color(178, 230, 229), new Color(229, 178, 230)};
}
