/*
 * CDLCompilerOutput.java
 *
 * Created on 5. brezen 2001, 10:23
 */

package cz.cuni.dsrg.sofa.netbeans.cdl;

/** Output class for CDL compiler
 *
 * @author  hnetynka
 */
public class CDLCompilerOutput implements SOFA.SOFAnode.Made.CDL.ILogger 
 {
    org.openide.windows.OutputWriter out;
    
    public CDLCompilerOutput() 
    {
        org.openide.TopManager tm = org.openide.TopManager.getDefault();
        out = tm.getIO("CDL Compiler",false).getOut();
    }

    public void flush() 
    {
        out.flush();
    }
    
    public int getColor() 
    {
        return Black;
    }
    
    public void print(java.lang.Object obj) 
    {
        out.print(obj);
    }
    
    public void print(java.lang.String str) 
    {
        out.print(str);
    }
    
    public void println(java.lang.Object obj) 
    {
        out.println(obj);
    }
    
    public void println(java.lang.String str) 
    {
        out.println(str);
    }
    
    public void setColor(int param) 
    {
    }
    
    public boolean supportColors() 
    {
        return false;
    }
    
    public boolean supportReset() 
    {
        return true;
    }
    
    public void reset() 
    {
      try 
      {
        out.reset();
      }
      catch (java.io.IOException e) 
      {
        ;
      }
    }
}
