package cz.cuni.dsrg.sofa.netbeans.tirbrowser;

import org.openide.ErrorManager;
import org.openide.nodes.Node;

/**
 * Created by T.OP.
  * Date: 6.4.2003
 */
public class TIRContainerRefresh implements RefreshableNode, ContainerCookie
{
    TIRContainerNode nd;

      public TIRContainerRefresh(TIRContainerNode ndpar)
      {
          nd= ndpar;
       }


      public SOFA.SOFAnode.Made.TIR.Container getContainer()
      {
          return nd.tirObject;
      }

    public void refresh()
       {
          try
           {
               TIRContainerChildren ch = nd.getTIRContainerChildren();
               Node[] n = ch.getNodes();
               for (int i=0;i<n.length;i++)
               {
                   n[i].destroy();
               }

               ch.removeNotify();
               nd.createChildren();
           }
           catch ( java.io.IOException e)
           {
               ErrorManager.getDefault().notify(e);
           }
       }

}
