package cz.cuni.dsrg.sofa.netbeans.visualdesigner.types;

/**
 * This class is a hepler class representing a property, value that
 * can be assigned to a frame or to an architecture.<p>
 *
 * This class can be persisted using the Java Object Serialization.
 *
 * @author Michael Cifka
 */
public class Property implements java.io.Serializable
{

    public Property(String name, String type)
    {
        this.name = name;
        this.type = type;
    }

    public String getName()
    {
        return name;
    }

    public String getType()
    {
        return type;
    }

    private String name;
    private String type;
}